Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.jasperreports.domain
Interface CustomReportDataSource

All Superinterfaces:
  org.acegisecurity.acl.basic.AclObjectIdentity, AttributedObject, DataSource, InternalURI, ReportDataSource, Resource, java.io.Serializable

All Known Implementing Classes:
  CustomReportDataSourceImpl

    public interface CustomReportDataSource

extends ReportDataSource

Version:
  $Id: CustomReportDataSource.java 9038 2007-07-10 00:22:55Z bob $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary

Fields inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.Resource
`URI_PROTOCOL, VERSION_NEW`

Method Summary
`java.util.Map` | `getPropertyMap()`
`java.lang.String` | `getServiceClass()`
`void` | `setPropertyMap(java.util.Map propertyMap)`
`void` | `setServiceClass(java.lang.String serviceClass)`

Methods inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.Resource
`getCreationDate, getDescription, getLabel, getName, getParentFolder, getResourceType, getURIString, getVersion, isNew, setCreationDate, setDescription, setLabel, setName, setParentFolder, setParentFolder, setURIString, setVersion`

Methods inherited from interface com.jaspersoft.jasperserver.api.common.domain.AttributedObject
`getAttributes, setAttributes`

Methods inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.InternalURI
`getParentPath, getParentURI, getPath, getProtocol, getURI`

Methods inherited from interface org.acegisecurity.acl.basic.AclObjectIdentity
`equals, hashCode`

Method Detail

### getPropertyMap

    java.util.Map getPropertyMap()

### setPropertyMap

    void setPropertyMap(java.util.Map propertyMap)

### getServiceClass

    java.lang.String getServiceClass()

### setServiceClass

    void setServiceClass(java.lang.String serviceClass)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.